<?php

namespace shqawe\SST\XF\Pub\Controller;

use XF\Mvc\FormAction;
use XF\Mvc\ParameterBag;

class Thread extends XFCP_Thread{


	/**
	 *  @var $params
	 */
    public function actionQuickStickLev2(ParameterBag $params)
	{
		$this->assertPostOnly();

		$thread = $this->assertViewableThread($params->thread_id);
        
		if (!$thread->canStickUnstickLev2($error))
		{
			return $this->noPermission($error);
		}

		$editor = $this->getEditorService($thread);

		if ($thread->sec_sticky)
		{
			$editor->setStickyLev2(false);
			$text = \XF::phrase('sst_sticky_lev2');
		}
		else
		{
			$editor->setStickyLev2(true);
			$text = \XF::phrase('unsst_sticky_lev2');
		}

		if (!$editor->validate($errors))
		{
			return $this->error($errors);
		}

		$editor->save();

		$reply = $this->redirect($this->getDynamicRedirect());
		$reply->setJsonParams([
			'text' => $text,
			'sec_sticky' => $thread->sec_sticky
		]);
		return $reply;
	}
}